Skip to main content
`Ctrl`+`K`

# PCDeflationSetLevels

Set the maximum level of deflation nesting.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationSetLevels(PC pc, PetscInt max)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- max - maximum deflation level

## Options Database Key

- -pc_deflation_max_lvl max - maximum number of levels for multilevel deflation

## See Also

KSP: Linear System Solvers, `PCDeflationSetSpaceToCompute()`, `PCDeflationSetSpace()`, `PCDEFLATION`

## Level

intermediate

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationSetLevels_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages